为什么我的7.04终端(terminal)中文是乱码

为当前最终发行版之前的所有版本提供支持
回复
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

为什么我的7.04终端(terminal)中文是乱码

#1

帖子 zhaozhh02 » 2007-05-12 8:23

为什么我的7.04终端(terminal)中文是乱码

不知该怎样设置才能让它显示中文。
附件
Screenshot.png
系统: Ubuntu8.04

如无必要,毋增实体
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2007-05-12 8:28

你这个好像是win下面的分区挂载的时候加 uft8没
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

#3

帖子 zhaozhh02 » 2007-05-12 8:31

在 ext3分区下也是乱码的。
系统: Ubuntu8.04

如无必要,毋增实体
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 wkt » 2007-05-12 8:46

$locale
看locales
然后
终端->设定字符编码
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

#5

帖子 zhaozhh02 » 2007-05-12 9:00

我的是这样 如图,难道不对吗,

如果不对如何设置还请指教。
附件
Screenshot2.png
系统: Ubuntu8.04

如无必要,毋增实体
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 wkt » 2007-05-12 11:08

当然,不对了
你的LC_ALL怎是C啊!
这样的locale不能显示中文!!
export LC_ALL=zh_CN.UTF-8
看看
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

#7

帖子 zhaozhh02 » 2007-05-12 15:20

多谢wkt!果然解决了 :lol:

但是 当注销之后又不能显示了,是不是要修改那个配置文件?
系统: Ubuntu8.04

如无必要,毋增实体
来诺
帖子: 494
注册时间: 2007-01-13 1:02
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 来诺 » 2007-05-12 21:01

是不是要在.bashrc里改的?我的别名是在那里改的。。。
头像
hualang0929
帖子: 1226
注册时间: 2006-11-11 10:23
来自: Mars
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 hualang0929 » 2007-05-12 21:54

直接修改/etc/environment

或者简单一点,gdm登录界面 language 选 zh_CN.UTF-8 默认
抬头望星空一片晴,我独行,夜已渐寒……
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 wkt » 2007-05-12 21:56

hualang0929 写了:直接修改/etc/environment

或者简单一点,gdm登录界面 language 选 zh_CN.UTF-8 默认
这个我想可能更好!!
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

#11

帖子 zhaozhh02 » 2007-05-13 14:53

问题解决了,多谢个为了!!!
系统: Ubuntu8.04

如无必要,毋增实体
wenda
帖子: 56
注册时间: 2007-03-27 12:29
送出感谢: 0
接收感谢: 0

#12

帖子 wenda » 2007-12-02 20:01

我看了一下environmeng文件里面并没有语言的选项阿,哪个locale在哪里修改,我的lc-all= 后面没有内容,用的是ubuntu的line-system加xfce4,终端也是默认的那个terminal,可是显示中文可是有的文件显示不出来就用空格代替了,在没有进入x之前的命令模式下,显示不了汉字都是实心的菱形,希望高手再详细的帮助我这个菜鸟。
扫描仪microtek x9800不能驱动;
cad格式qcad不支持;
其余都在ubuntu下面搞定。
回复

回到 “老旧版本支持”